列出 enrollmentTroubleshootingEvents
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
列出 enrollmentTroubleshootingEvent 对象的属性和关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementManagedDevices.Read.All、DeviceManagementManagedDevices.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementManagedDevices.Read.All、DeviceManagementManagedDevices.ReadWrite.All |
HTTP 请求
GET /deviceManagement/troubleshootingEvents
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 enrollmentTroubleshootingEvent 对象集合。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/v1/deviceManagement/troubleshootingEvents
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 639
{
"value": [
{
"@odata.type": "#microsoft.graph.enrollmentTroubleshootingEvent",
"id": "c4a623f5-23f5-c4a6-f523-a6c4f523a6c4",
"eventDateTime": "2016-12-31T23:59:23.3984029-08:00",
"correlationId": "Correlation Id value",
"managedDeviceIdentifier": "Managed Device Identifier value",
"operatingSystem": "Operating System value",
"osVersion": "Os Version value",
"userId": "User Id value",
"deviceId": "Device Id value",
"enrollmentType": "userEnrollment",
"failureCategory": "authentication",
"failureReason": "Failure Reason value"
}
]
}
反馈
提交和查看相关反馈